View Issue Details

IDProjectCategoryView StatusLast Update
0001276NoesisGUIUnrealpublic2019-09-12 13:33
ReporterGeorgeRAssigned Tosfernandez 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1.0f1 
Target Version2.3.0Fixed in Version2.3.0 
Summary0001276: Unknown type "PathGeometry"
DescriptionLogNoesis: Warning: /Game/Frontier/UI/Themes/Generic.Generic(590): Unknown type 'PathGeometry'.

Is PathGeometry really not supported?
Steps To Reproduce1. Import the provided file
Additional InformationThis is what produces the error:
                                                    <Path Stroke="{TemplateBinding Foreground}"
                                                          StrokeThickness="{TemplateBinding StrokeThickness}"
                                                          Canvas.Left="8" Canvas.Top="8">
                                                        <Path.Data>
                                                            <PathGeometry>
                                                                <PathFigure StartPoint="40, 0">
                                                                    <ArcSegment RotationAngle="0"
                                                                                SweepDirection="Clockwise"
                                                                                Size="40, 40"
                                                                                Point="{Binding Path=Angle, Converter={StaticResource AngleToPointConverter}, RelativeSource={RelativeSource FindAncestor, AncestorType=ProgressBar}}"
                                                                                IsLargeArc="{Binding Path=Angle, Converter={StaticResource AngleIsTooLargeConverter}, RelativeSource={RelativeSource FindAncestor, AncestorType=ProgressBar}}" />
                                                                </PathFigure>
                                                            </PathGeometry>
                                                        </Path.Data>
                                                    </Path>
TagsNo tags attached.
PlatformAny

Relationships

related to 0000423 assignedsfernandez Path object not visible 

Activities

GeorgeR

GeorgeR

2018-04-05 14:48

reporter  

Generic.xaml (77,433 bytes)
jsantos

jsantos

2018-04-09 18:24

manager   ~0005176

PathGeometry is not implemented so far. We recommend converting to Path, even if we supported Geometries (that we will in the future) Path is always a more efficient.

Issue History

Date Modified Username Field Change
2018-04-05 14:48 GeorgeR New Issue
2018-04-05 14:48 GeorgeR Status new => assigned
2018-04-05 14:48 GeorgeR Assigned To => hcpizzi
2018-04-05 14:48 GeorgeR File Added: Generic.xaml
2018-04-09 10:54 sfernandez Assigned To hcpizzi => sfernandez
2018-04-09 18:24 jsantos Note Added: 0005176
2018-11-01 02:14 jsantos View Status public => private
2018-11-01 14:11 jsantos Category UE4 => Unreal
2018-11-22 12:26 sfernandez View Status private => public
2018-11-22 12:26 sfernandez Platform => Any
2019-06-25 10:30 sfernandez Relationship added related to 0000423
2019-06-25 10:31 sfernandez Target Version => 3.0.0
2019-09-12 13:33 sfernandez Status assigned => resolved
2019-09-12 13:33 sfernandez Resolution open => fixed
2019-09-12 13:33 sfernandez Fixed in Version => 2.3.0
2019-09-12 13:33 sfernandez Target Version 3.0.0 => 2.3.0